% !TEX root = ../main.tex

% provides nice boxes for theorems
\usepackage{tcolorbox}
\tcbuselibrary{breakable,magazine,skins,theorems}

% general defaults
\tcbset{
	breakable,
	shield externalize,
	separator sign colon,
	sharp corners,
	fonttitle=\bfseries\sffamily
}
\ifdissertation@print
	\tcbset{toggle left and right}
\fi
% coloring
\tcbset{
	colback=\cTwo,
	colframe=\cOne
}
% rules
\tcbset{
	toprule=0.25mm,
	toprule at break=0mm,
	leftrule=0.0mm,
	rightrule=0.75mm,
	bottomrule=0.0mm,
	titlerule=0mm
}
\tcbset{every box/.style={
	breakable,
	shield externalize,
	separator sign colon,
	sharp corners,
	fonttitle=\bfseries\sffamily,
	colback=\cTwo,
	colframe=\cOne,
	toprule=0.25mm,
	toprule at break=0mm,
	leftrule=0.0mm,
	rightrule=0.75mm,
	bottomrule=0.0mm,
	titlerule=0mm
}}

\newtcbtheorem[
	number within=chapter,
	crefname={Definition}{Definitions},
	Crefname={Definition}{Definitions}
]
{definition}{\vphantom{Ag}Definition}{}{def}

\newtcbtheorem[
	number within=chapter,
	Crefname={Example}{Examples},
	crefname={Example}{Examples}
]
{example}{\vphantom{Ag}Example}{
	colbacktitle=\cTwo,
	fonttitle=\color{\cOne}\bfseries\sffamily,
	toprule=0.75mm,
	toprule at break=0mm,
}{ex}

\newtcbtheorem[
	no counter,
	Crefname={Insertion}{Insertions},
	crefname={Insertion}{Insertions}
]
{insertion}{\vphantom{Ag}Insertion}{
	colback=white,
	colbacktitle=white,
	colframe=\cTwo,
	fonttitle=\color{\cOne}\bfseries\sffamily,
	toprule=0.75mm,
	toprule at break=0mm,
}{ins}


\newtcbtheorem[
	number within=chapter,
	crefname={Lemma}{Lemmas},
	Crefname={Lemma}{Lemmas}
]
{lemma}{\vphantom{Ag}Lemma}{}{lem}

\newtcbtheorem[
	number within=chapter,
	Crefname={Reminder}{Reminders},
	crefname={reminder}{reminders}
]
{reminder}{\vphantom{Ag}Reminder}{
	colbacktitle=\cTwo,
	fonttitle=\color{\cOne}\bfseries\sffamily,
	toprule=0.75mm
}{rem}

\tcolorboxenvironment{proof}{
	colframe=\cTwo,
	toprule=0.75mm,
	toprule at break=0mm,
	rightrule=0.75mm,
	before skip=10pt,
	after skip=10pt,
	colback=white,
	right=3mm
}

\newtcbtheorem[
	number within=chapter,
	crefname={Theorem}{Theorems},
	Crefname={Theorem}{Theorems}
]
{theorem}{\vphantom{Ag}Theorem}{}{thm}

\newtcbtheorem[
	no counter,
	crefname={Note}{Notes},
	Crefname={Note}{Notes}
]
{note}{\vphantom{Ag}Note}{
	colback=orange100!25,
	colframe=orange100
}{note}
